%button-default {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.5;
  cursor: pointer;
  color: var(--white);
  text-decoration: none;
  transition: var(--transition);
  font-size: var(--font-size-button);
  font-weight: var(--font-weight-button);
  background-color: var(--primary-color);
  border-radius: 0.8rem;
  height: 4.2rem;
  padding: 0.5rem 2.4rem;

  &:hover {
    background-color: var(--secondary-color);
  }

  &.-outlined {
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color: var(--primary-color);

    &:hover {
      color: var(--white);
      border-color: var(--secondary-color);
      background-color: var(--secondary-color);
    }
  }

  &.-adding,
  &.-sending,
  &.-searching {
    background-color: var(--primary-color);
    color: transparent !important;
    pointer-events: none;
  }

  &.-adding:after,
  &.-sending:after,
  &.-searching:after {
    animation: spin 2s linear infinite;
    content: "";
    border: 0.3rem solid var(--gray-1);
    border-top: 0.3rem solid var(--gray-3);
    border-radius: 50%;
    display: block;
    height: 2rem;
    position: absolute;
    width: 2rem;

    @keyframes spin {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  }

  &.-unavailable {
    background-color: var(--gray-3);
    border-color: var(--gray-3);
    color: var(--white);
    pointer-events: none;
  }
}
